Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.mockintblock
Class MockFixedIntBlockPostingsFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsFormat
          org.apache.lucene.codecs.mockintblock.MockFixedIntBlockPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class MockFixedIntBlockPostingsFormat

extends PostingsFormat

A silly test codec to verify core support for fixed sized int block encoders is working. The int encoder used here just writes each block as a series of vInt.

Nested Class Summary
`static class` | `MockFixedIntBlockPostingsFormat.MockIntFactory` Encodes blocks as vInts of a fixed block size.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsFormat
`EMPTY`

Constructor Summary
`MockFixedIntBlockPostingsFormat()`
`MockFixedIntBlockPostingsFormat(int blockSize)`

Method Summary
`FieldsConsumer` | `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` | `fieldsProducer(SegmentReadState state)`
`IntStreamFactory` | `getIntFactory()`
`String` | `toString()`

Methods inherited from class org.apache.lucene.codecs.PostingsFormat
`availablePostingsFormats, forName, getName, reloadPostingsFormats`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockFixedIntBlockPostingsFormat

    public MockFixedIntBlockPostingsFormat()

### MockFixedIntBlockPostingsFormat

    public MockFixedIntBlockPostingsFormat(int blockSize)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `PostingsFormat`

### getIntFactory

    public IntStreamFactory getIntFactory()

### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

  Specified by:
    `fieldsConsumer` in class `PostingsFormat`
  Throws:
    `IOException`

### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

  Specified by:
    `fieldsProducer` in class `PostingsFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.